﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.DesktopEdition;

namespace test
{
    public partial class mainForm : Form
    {
        public mainForm()
        {
            InitializeComponent();
        }

        private void mainForm_Load(object sender, EventArgs e)
        {
            fxfWinformMap1.MapUnit = GeographyUnit.Meter;

            fxfWinformMap1.BackgroundOverlay.BackgroundBrush = new GeoSolidBrush(GeoColor.GeographicColors.ShallowOcean);

            fxfWinformMap1.CurrentExtent = new RectangleShape(-10000000, 10000000, 10000000, -10000000);


            InMemoryFeatureLayer inMemoryLayer = new InMemoryFeatureLayer();

            ManagedProj4Projection proj4Projection = new ManagedProj4Projection();

            proj4Projection.InternalProjectionParametersString = ManagedProj4Projection.GetEpsgParametersString(4326);

            proj4Projection.ExternalProjectionParametersString = ManagedProj4Projection.GetGoogleMapParametersString();

            inMemoryLayer.FeatureSource.Projection = proj4Projection;

            inMemoryLayer.InternalFeatures.Add("Rectangle", new Feature(new RectangleShape(65, 30, 95, 15)));

            inMemoryLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle.FillSolidBrush.Color = GeoColor.FromArgb(100, GeoColor.StandardColors.RoyalBlue);

            inMemoryLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay inMemoryOverlay = new LayerOverlay();

            inMemoryOverlay.Layers.Add("InMemoryFeatureLayer", inMemoryLayer);

            fxfWinformMap1.Overlays.Add("InMemoryOverlay", inMemoryOverlay);

            fxfWinformMap1.Refresh();
        }


        private void btnRemoveFeature_Click(object sender, EventArgs e)
        {

            InMemoryFeatureLayer inMemoryLayer = (InMemoryFeatureLayer)fxfWinformMap1.FindFeatureLayer("InMemoryFeatureLayer");

            inMemoryLayer.Open();

            inMemoryLayer.FeatureSource.GetFeaturesWithinDistanceOf(new PointShape(207.0, 67.0), GeographyUnit.DecimalDegree, DistanceUnit.Meter, 2, new Collection<string>());

            fxfWinformMap1.Refresh();


        }
    }
}
